# Uses of Interface
org.apache.avro.io.FastReaderBuilder.FieldReader

Packages that use FastReaderBuilder.FieldReader
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.

## Uses of FastReaderBuilder.FieldReader in org.apache.avro.io

Subinterfaces of FastReaderBuilder.FieldReader in org.apache.avro.io
Modifier and Type
Interface
Description
`static interface`
`FastReaderBuilder.ReusingFieldReader`
Classes in org.apache.avro.io that implement FastReaderBuilder.FieldReader
Modifier and Type
Class
Description
`static class`
`FastReaderBuilder.MapReader`
`static class`
`FastReaderBuilder.RecordReader`
Methods in org.apache.avro.io that return FastReaderBuilder.FieldReader
Modifier and Type
Method
Description
`static FastReaderBuilder.FieldReader`
FastReaderBuilder.`reusingReader(FastReaderBuilder.ReusingFieldReader reader)`
Constructors in org.apache.avro.io with parameters of type FastReaderBuilder.FieldReader
Modifier
Constructor
Description
``
`MapReader(FastReaderBuilder.FieldReader keyReader, FastReaderBuilder.FieldReader valueReader)`